footer {
  background: #1a1622;
  color: var(--light3);
  font-size: 15px;
  padding: 60px;

  @media (max-width: 900px) {
    padding-left: 10px;
    padding-right: 10px;
  }

  li {
    margin: 3px 0;
  }

  section {
    background-color: transparent !important;

    > div {
      margin: 0 auto;
    }
    &.links {
      display: flex;
      justify-content: space-between;
      flex-wrap: wrap;
      gap: 15px 40px;
      margin-bottom: 20px;

      @media (max-width: 900px) {
        justify-content: flex-start;
      }

      div {
        margin: 0;
        padding: 0;
      }
    }
  }

  ul {
    list-style: none;
    margin: 0;
    padding: 0;
  }

  h3 {
    font-size: inherit;
    margin: 7px 0;
    font-variant: all-small-caps;
    font-size: 22px;
    color: var(--gnomeblue);
  }

  a, a:visited {
    color: inherit;

    &:hover, &:focus {
      color: inherit;
      text-decoration: underline;

      img {
        opacity: 0.4;
      }
    }
  }

  .copyright, .generated {
    font-size: 12px;
    line-height: 19px;
    margin-top: 9px;
  }

  .generated {
    margin-top: 30px;
    text-align: center;
  }

  img {
    filter: invert(1);
    opacity: 0.8;

    &.icon {
      width: 24px;
      max-height: 24px;
      object-fit: contain;
    }
  }
}
